#!/bin/sh
#

EXT=rsyslog
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

DEPS="jemalloc-dev postgresql-9.6-dev
 pcre-dev net-snmp-dev curl-dev libgcrypt-dev
 libestr-dev libfastjson-dev liblognorm-dev liblogging-dev libnet-dev"

test "$KBITS" = "64" && DEPS="$DEPS mariadb-10.1-dev" || DEPS="$DEPS mariadb-dev"

NOTFOUND=""
for a in compiletc bash file squashfs-tools $DEPS
         do tce-load -i $a || tce-load -iwl $a || NOTFOUND=x
done
test -z "$NOTFOUND" || exit

echo $PATH | grep -q mysql || export PATH=$PATH:/usr/local/mysql/bin:/usr/local/pgsql96/bin:/usr/local/oracle

sed -i -e 's#"/etc/rsyslog.conf"#"/usr/local/etc/rsyslog.conf"#' tools/rsyslogd.c

#make clean
./configure \
	--prefix=/usr/local \
	--localstatedir=/var \
	--enable-shared \
	--enable-regexp \
	--enable-klog \
	--enable-kmsg \
	--disable-imjournal \
	--enable-inet \
	--enable-jemalloc \
	--enable-diagtools \
	--enable-usertools \
	--enable-mysql \
	--enable-pgsql \
	--enable-snmp \
	--enable-uuid \
	--enable-elasticsearch \
	--enable-libgcrypt \
	--enable-rsyslogrt \
	--enable-rsyslogd \
	--enable-mmnormalize \
	--enable-mmjsonparse \
	--enable-mmaudit \
	--enable-mmanon \
	--enable-mmutf8fix \
	--enable-mmcount \
	--enable-mmsequence \
	--enable-mmfields \
	--enable-imfile \
	--enable-imptcp \
	--enable-impstats \
	--enable-omprog \
	--enable-omudpspoof \
	--enable-omstdout \
	--disable-omjournal \
	--enable-pmlastmsg \
	--enable-pmcisconames \
	--enable-pmciscoios \
	--enable-omruleset \
	--enable-mmsnmptrapd \
	--enable-omhttpfs \
	--enable-omtcl \
	--disable-generate-man-pages \
	|| exit

make || exit

make install DESTDIR=$TCZ
for a in $(find $TCZ -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip --strip-unneeded $a; done

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend

